# $Revision: 1.25 $, $Date: 2008/08/25 22:31:40 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Lightweight C library which eases the writing of UNIX daemons
Summary(pl.UTF-8):	Prosta biblioteka C ułatwiająca pisanie demonów uniksowych
Name:		libdaemon
Version:	0.13
Release:	1
Epoch:		0
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://0pointer.de/lennart/projects/libdaemon/%{name}-%{version}.tar.gz
# Source0-md5:	ae9113fcd825d5a7f07e5ddccb3c3102
URL:		http://0pointer.de/lennart/projects/libdaemon/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	libtool
BuildRequires:	doxygen
BuildRequires:	lynx
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdaemon is a lightweight C library which eases the writing of UNIX
daemons.

%description -l pl.UTF-8
libdaemon jest prostą biblioteką C ułatwiającą pisanie demonów
uniksowych.

%package devel
Summary:	Header files and development documentation for libdaemon
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty biblioteki libdaemon
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This package contains Header files and development documentation for
libdaemon.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe i dokumentację programisty
biblioteki libdaemon.

%package static
Summary:	Static libdaemon library
Summary(pl.UTF-8):	Statyczna biblioteka libdaemon
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package contains static libdaemon library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję biblioteki libdaemon.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}
%{__make} doxygen

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a doc/reference/man/* $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libdaemon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdaemon.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdaemon.so
%{_libdir}/libdaemon.la
%{_includedir}/%{name}
%{_pkgconfigdir}/libdaemon.pc
%{_mandir}/man3/daemon.h.3*
%{_mandir}/man3/dexec.h.3*
%{_mandir}/man3/dfork.h.3*
%{_mandir}/man3/dlog.h.3*
%{_mandir}/man3/dnonblock.h.3*
%{_mandir}/man3/dpid.h.3*
%{_mandir}/man3/dsignal.h.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdaemon.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdaemon.spec,v $
Revision 1.25  2008/08/25 22:31:40  qboosh
- updated to 0.13

Revision 1.24  2007/09/06 14:05:29  baggins
- rel 3

Revision 1.23  2007/07/16 16:46:43  glen
- rel 2

Revision 1.22  2007/07/12 16:50:24  qboosh
- updated to 0.12

Revision 1.21  2007/06/24 07:46:33  adamg
- updated to 0.11

Revision 1.20  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.18  2005/12/04 15:50:29  qboosh
- updated to 0.10 (on LGPL now)

Revision 1.17  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.16  2005/06/15 18:03:01  witekfl
- added bcond_without static_libs

Revision 1.15  2005/06/04 23:31:26  aredridel
- up to 0.8

Revision 1.14  2004/12/19 08:33:30  aredridel
- build man pages

Revision 1.13  2004/12/19 08:28:38  aredridel
- up to 0.7

Revision 1.12  2004/04/10 20:45:54  qboosh
- fixed build (libtoolize), strict internal deps

Revision 1.11  2004/04/10 19:07:09  adamg
- updated to 0.6

Revision 1.10  2004/02/10 19:55:25  yogib
- updated to 0.5

Revision 1.9  2004/01/18 07:44:15  undefine
- release 2

Revision 1.8  2004/01/18 07:43:51  undefine
- ac/am, BR: lynx(argh! - "generating" documentation...)

Revision 1.7  2004/01/18 00:33:43  qboosh
- updated to 0.4, new URLs

Revision 1.6  2003/12/22 21:10:12  speedy
- BR: doxygen

Revision 1.5  2003/10/21 09:37:40  arekm
- updated to 0.3

Revision 1.4  2003/10/14 22:53:03  qboosh
- typo

Revision 1.3  2003/08/31 21:36:32  ankry
- pl

Revision 1.2  2003/08/28 22:52:05  arekm
- epoch 0

Revision 1.1  2003/08/28 22:50:41  arekm
- initial pld release
